Subject: bug#19972: Font size change doesn't update (window-total-width)

From: Steve Purcell <[email-masked]>
Date: Mon, 2 Mar 2015 15:02:05 +0000

> On 2 Mar 2015, at 14:44, Drew Adams <[email-masked]> wrote:
> 
>> So there really shouldn’t be any assumption that the frame size
>> will necessarily change when the font changes.
> 
> I disagree strongly.  And several of my libraries depend on this
> longstanding feature.
> 
> I have no objection, if you want to be able to do things
> differently, e.g., as a user option.  But please do not consider
> removing this Emacs feature.

This concern is really tangential to the issue at hand: we would presumably all like window-total-width to reliably return an up-to-date value, and I doubt that any fix for that specific failure would affect anyone's existing code.

In any case, it’s already possible for the frame’s pixel size to remain unchanged even when the font changes: that’s what inevitably happens in the OS-managed fullscreen case described here.